﻿#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <stdbool.h>

struct objectData { double velocity, distance;
};

double all_time(struct objectData items[], int numItems, double x); double findOptimalVelocity(struct objectData objects[], int numObjects, double targetTime);

int main() {
    int numObjects; double targetTime;
    
    
    
    
    
    scanf("%d %lf", &numObjects, &targetTime);

    struct objectData objects[numObjects + 1];

    for (int i = 0; i < numObjects; i++) {
        scanf("%lf %lf", &(objects[i].distance), &(objects[i].velocity));
    }

    double optimalVelocity = findOptimalVelocity(objects, numObjects, targetTime);

    printf("%f\n", optimalVelocity);

    return 0;
}

double all_time(struct objectData items[], int numItems, double x) {
    double timeSum = 0;
    for (int i = 0; i < numItems; i++) {
        timeSum += items[i].distance / (items[i].velocity + x);
    } return timeSum;
}

double findOptimalVelocity(struct objectData objects[], int numObjects, double targetTime) {
    double lowerBound = objects[0].velocity, upperBound = 3000;
    double center = (lowerBound + upperBound) / 2;
    double tLower, tUpper, tCenter, buffer;

    for (int i = 0; i < numObjects; i++) {
        if (lowerBound > objects[i].velocity) {
            lowerBound = objects[i].velocity;
        }
    }
    lowerBound = -lowerBound;

    do {
        buffer = center;
        center = (lowerBound + upperBound) / 2;
        tCenter = all_time(objects, numObjects, center) - targetTime;

        if (tCenter > 0) {
            lowerBound = center;
        }
        else {
            upperBound = center;
        }
    } while (fabs(buffer - center) > 1e-10);

    return center;
}
